Skip to main content
GET
/
standings
League Standings
curl --request GET \
  --url https://v1.hockey.sportsapipro.com/standings \
  --header 'x-api-key: <api-key>'
{
  "standings": [
    {
      "competitor": {
        "id": 123,
        "name": "<string>",
        "score": 123,
        "imageUrl": "<string>"
      },
      "position": 123,
      "points": 123,
      "played": 123,
      "wins": 123,
      "losses": 123
    }
  ]
}

Overview

Returns current standings for a hockey league, including wins, losses, OT losses, points, and goals.

Code Examples

# NHL Standings (Competition ID: 55)
curl -X GET "https://v1.hockey.sportsapipro.com/standings?competitions=55" \
  -H "x-api-key: YOUR_API_KEY"

Key Competition IDs

LeagueCompetition ID
NHL55
AHL56
KHL62
SHL (Sweden)75
DEL (Germany)80
Liiga (Finland)81
Czech Extraliga83
Use seasonNum to retrieve historical standings from previous seasons.

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Query Parameters

competitions
integer
required

Competition ID (e.g., 55 for NHL)

Example:

55

seasonNum
integer

Season number for historical standings

Response

200 - application/json

Standings retrieved successfully

standings
object[]